Skip to content

Create Notification Config

Create a new notification configuration that defines automated alerts for events within the target path. Requires ADMIN permissions.

Parameters

name * are required parametersdata typedescription
body.name*stringThe display name of the notification config
body.trigger*stringThe event that triggers this notification
body.recipientsobjectRecipient configuration (roles, users, etc.)
body.templateobjectNotification message template

Return Value

The created notification configuration.

Examples

bash
curl -X POST "https://app.wombat.software/api/{targetPath}/notification" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"name": "Form Submitted Alert", "trigger": "form.submitted"}'

ENDPOINTS

post/api/{targetPath}/notification